文档
EN/中

指南
  • 快速入门
接入方式
  • Agent Skills
  • CLI
  • MCP
  • SDK
API 参考
  • 搜索
  • 内容
  • 研究
概念
  • 身份验证
  • 错误处理
  • 限流
下载 OpenAPI

POST /v1/contents

内容

返回公开网页的正文。

试一试 →Markdown

请求体

url
string
必填。公开的 http(s) 网页地址。无法读取的网页返回 422 source_not_available,不存在的网页返回 422 page_not_found。
tier
string
auto 或 flex。flex 返回内容可能更慢。默认值:auto
max_characters
integer
返回正文的最大长度,1 到 600,000 个字符。默认值:20000
livecrawl
boolean
实时抓取网页,不使用缓存。默认值:false
livecrawl_timeout_ms
integer
实时抓取的时限,单位毫秒,1,000 到 90,000。仅在 livecrawl 为 true 时可用。auto 默认 20,000,flex 默认 90,000。

响应

url
string
网页地址。
title
string
网页标题(如有)。
published_at
string
发布时间(如有)。
image_url
string
网页主图(如有)。
content
string
网页正文。
truncated
boolean
网页长度超过 max_characters 时为 true。
image_urls
string[]
网页中的图片地址。

另请参阅: 身份验证 · 错误处理 · 限流

请求示例
curl "https://api.arex-research.com/v1/contents" \
  -H "Authorization: Bearer $AREX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com","tier":"auto","max_characters":12000}'
响应200
{
  "url": "https://example.com",
  "title": "Example Domain",
  "content": "# Example Domain\n\nThis domain is for use in illustrative examples.",
  "truncated": false,
  "published_at": "2026-09-03T08:00:00Z",
  "image_url": "https://example.com/image.png",
  "image_urls": []
}

示例响应,实际内容以返回为准。

上一页搜索下一页研究